<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: FunctionDeclProperties Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_function_decl_properties.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_function_decl_properties-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FunctionDeclProperties Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for FunctionDeclProperties:</div>
<div class="dyncontent">
<div class="center"><img src="struct_function_decl_properties__coll__graph.png" border="0" usemap="#_function_decl_properties_coll__map" alt="Collaboration graph"/></div>
<map name="_function_decl_properties_coll__map" id="_function_decl_properties_coll__map">
<area shape="rect" title=" " alt="" coords="5,303,177,329"/>
<area shape="rect" href="struct_total_location_info.html" title=" " alt="" coords="25,213,158,240"/>
<area shape="rect" href="struct_exp_eval_result.html" title=" " alt="" coords="34,124,149,151"/>
<area shape="rect" href="struct_exp_eval.html" title=" " alt="" coords="54,5,129,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a74b3c697cb85a612178bec45dc23f1ca"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a74b3c697cb85a612178bec45dc23f1ca">FuncDeclName</a></td></tr>
<tr class="separator:a74b3c697cb85a612178bec45dc23f1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3168554f6873db437bd547d4c4f24016"><td class="memItemLeft" align="right" valign="top">SourceRange&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a3168554f6873db437bd547d4c4f24016">FuncDeclSrcRng</a></td></tr>
<tr class="separator:a3168554f6873db437bd547d4c4f24016"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac28fc9987328307801c399336f0d9217"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#ac28fc9987328307801c399336f0d9217">FuncDeclHasBody</a></td></tr>
<tr class="separator:ac28fc9987328307801c399336f0d9217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327a2fb435b7ce40ad215404c819c2fa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a327a2fb435b7ce40ad215404c819c2fa">FuncDeclHasTrivialBody</a></td></tr>
<tr class="separator:a327a2fb435b7ce40ad215404c819c2fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77fb7ae5085e54c20d10166aabc32881"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a77fb7ae5085e54c20d10166aabc32881">FuncDeclisDefined</a></td></tr>
<tr class="separator:a77fb7ae5085e54c20d10166aabc32881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a906e1b2adab4cb3ea73f4e14aa3d7257"><td class="memItemLeft" align="right" valign="top">const FunctionDecl *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a906e1b2adab4cb3ea73f4e14aa3d7257">FuncDeclDefinition</a></td></tr>
<tr class="separator:a906e1b2adab4cb3ea73f4e14aa3d7257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd0ffdb2e9e4d0f698ff7e3d26cd1fb6"><td class="memItemLeft" align="right" valign="top">Stmt *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#abd0ffdb2e9e4d0f698ff7e3d26cd1fb6">FuncDeclBody</a></td></tr>
<tr class="separator:abd0ffdb2e9e4d0f698ff7e3d26cd1fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6418362ffa9830cc146d5d3edaed7be7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a6418362ffa9830cc146d5d3edaed7be7">FuncDeclisDeclADef</a></td></tr>
<tr class="separator:a6418362ffa9830cc146d5d3edaed7be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad77b729330178bf2e9bd5209715a42ba"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#ad77b729330178bf2e9bd5209715a42ba">FuncDeclThisHasABody</a></td></tr>
<tr class="separator:ad77b729330178bf2e9bd5209715a42ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a185bc6ecb2ea6977ef773a91617d5c35"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a185bc6ecb2ea6977ef773a91617d5c35">FuncDeclisVariadic</a></td></tr>
<tr class="separator:a185bc6ecb2ea6977ef773a91617d5c35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2698ced3ad1b7c7eab8dbba89fe187ff"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a2698ced3ad1b7c7eab8dbba89fe187ff">FuncDeclIsPure</a></td></tr>
<tr class="separator:a2698ced3ad1b7c7eab8dbba89fe187ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f1c0bee2bdd003906292531ef47071e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a4f1c0bee2bdd003906292531ef47071e">FuncDeclIsTrivial</a></td></tr>
<tr class="separator:a4f1c0bee2bdd003906292531ef47071e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a780b27b3b29b7b8fcfa8ed269fdc2e9c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a780b27b3b29b7b8fcfa8ed269fdc2e9c">FuncDelcIsTrivialForCall</a></td></tr>
<tr class="separator:a780b27b3b29b7b8fcfa8ed269fdc2e9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a81dea87d19a1ece614968439172721"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a1a81dea87d19a1ece614968439172721">FuncDeclIsDefaulted</a></td></tr>
<tr class="separator:a1a81dea87d19a1ece614968439172721"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f625746c906d1105f3a362153f02cab"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a9f625746c906d1105f3a362153f02cab">FuncDeclIsExplDefaulted</a></td></tr>
<tr class="separator:a9f625746c906d1105f3a362153f02cab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f99c4bd6152303c9652addb1956c2e5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a9f99c4bd6152303c9652addb1956c2e5">FuncDeclhasImplZeroRet</a></td></tr>
<tr class="separator:a9f99c4bd6152303c9652addb1956c2e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a7d0f9d9feb16d3a811f5fe9794891a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a4a7d0f9d9feb16d3a811f5fe9794891a">FuncDeclhasProto</a></td></tr>
<tr class="separator:a4a7d0f9d9feb16d3a811f5fe9794891a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af398a0e2d0c7a79aabce51b87c5892a8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#af398a0e2d0c7a79aabce51b87c5892a8">FuncDeclhasWritProto</a></td></tr>
<tr class="separator:af398a0e2d0c7a79aabce51b87c5892a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f1272e791a997de3976a4f73899c6e8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a9f1272e791a997de3976a4f73899c6e8">FuncDeclhasInheritProto</a></td></tr>
<tr class="separator:a9f1272e791a997de3976a4f73899c6e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc2bb63e2e30e4e5ed4de575bfcdda48"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#abc2bb63e2e30e4e5ed4de575bfcdda48">FuncDeclIsConstExpr</a></td></tr>
<tr class="separator:abc2bb63e2e30e4e5ed4de575bfcdda48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d684fc813cdb6fc69037ab4e6da5dfd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a8d684fc813cdb6fc69037ab4e6da5dfd">FuncDeclIsMain</a></td></tr>
<tr class="separator:a8d684fc813cdb6fc69037ab4e6da5dfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a234ad376753024e5e17c407b493af53a"><td class="memItemLeft" align="right" valign="top">LanguageLinkage&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a234ad376753024e5e17c407b493af53a">FuncDeclLanguage</a></td></tr>
<tr class="separator:a234ad376753024e5e17c407b493af53a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23fba2a246d72d997b7be07362a07f8e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a23fba2a246d72d997b7be07362a07f8e">FuncDeclIsGlobal</a></td></tr>
<tr class="separator:a23fba2a246d72d997b7be07362a07f8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327b4b4f80f7e913b0a1a73dc51047d1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a327b4b4f80f7e913b0a1a73dc51047d1">FuncDeclIsNoReturn</a></td></tr>
<tr class="separator:a327b4b4f80f7e913b0a1a73dc51047d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba7268fb3f1306ee77953ab0a5aceb2e"><td class="memItemLeft" align="right" valign="top">const FunctionDecl *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#aba7268fb3f1306ee77953ab0a5aceb2e">FuncDeclgetCanDecl</a></td></tr>
<tr class="separator:aba7268fb3f1306ee77953ab0a5aceb2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e664b42368a01847b406564202c7135"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a3e664b42368a01847b406564202c7135">FuncDeclBltInID</a></td></tr>
<tr class="separator:a3e664b42368a01847b406564202c7135"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d314bc84de946aefeaa2461c36327d1"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a3d314bc84de946aefeaa2461c36327d1">FuncDeclNumParam</a></td></tr>
<tr class="separator:a3d314bc84de946aefeaa2461c36327d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0874ea268c477fc80d5a585c64f71bec"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a0874ea268c477fc80d5a585c64f71bec">FuncDeclMinReqArgs</a></td></tr>
<tr class="separator:a0874ea268c477fc80d5a585c64f71bec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5eca3f4a53a07fb3711251ae1027ad2"><td class="memItemLeft" align="right" valign="top">QualType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#ad5eca3f4a53a07fb3711251ae1027ad2">FuncDeclRetType</a></td></tr>
<tr class="separator:ad5eca3f4a53a07fb3711251ae1027ad2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c75c72bdadbbbeaf7507291894c10ea"><td class="memItemLeft" align="right" valign="top">SourceRange&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a6c75c72bdadbbbeaf7507291894c10ea">FuncDeclRetTypSrcRng</a></td></tr>
<tr class="separator:a6c75c72bdadbbbeaf7507291894c10ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae21012e6825f9867e0ffd38f548fbb3e"><td class="memItemLeft" align="right" valign="top">QualType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#ae21012e6825f9867e0ffd38f548fbb3e">FuncDeclCallResType</a></td></tr>
<tr class="separator:ae21012e6825f9867e0ffd38f548fbb3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abec748d175b43b77931b362f4657e62d"><td class="memItemLeft" align="right" valign="top">StorageClass&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#abec748d175b43b77931b362f4657e62d">FuncDeclStoreClass</a></td></tr>
<tr class="separator:abec748d175b43b77931b362f4657e62d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaf03c8e1b3783b2bb320398929c8bbe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#afaf03c8e1b3783b2bb320398929c8bbe">FuncDeclisInlineSpec</a></td></tr>
<tr class="separator:afaf03c8e1b3783b2bb320398929c8bbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a806d72b8d8ef42b9e27bfdb2c6c1b029"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a806d72b8d8ef42b9e27bfdb2c6c1b029">FuncDeclIsInlined</a></td></tr>
<tr class="separator:a806d72b8d8ef42b9e27bfdb2c6c1b029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff9fa577ff805a634d3a029b1910bb5"><td class="memItemLeft" align="right" valign="top">const IdentifierInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a7ff9fa577ff805a634d3a029b1910bb5">FuncDeclLiteralID</a></td></tr>
<tr class="separator:a7ff9fa577ff805a634d3a029b1910bb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f60da83122ee24865dff0f117d219ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_function_decl_properties.html#a4f60da83122ee24865dff0f117d219ff">FuncDeclPosition</a></td></tr>
<tr class="separator:a4f60da83122ee24865dff0f117d219ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3e664b42368a01847b406564202c7135"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e664b42368a01847b406564202c7135">&#9670;&nbsp;</a></span>FuncDeclBltInID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned FunctionDeclProperties::FuncDeclBltInID</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abd0ffdb2e9e4d0f698ff7e3d26cd1fb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd0ffdb2e9e4d0f698ff7e3d26cd1fb6">&#9670;&nbsp;</a></span>FuncDeclBody</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Stmt* FunctionDeclProperties::FuncDeclBody</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae21012e6825f9867e0ffd38f548fbb3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae21012e6825f9867e0ffd38f548fbb3e">&#9670;&nbsp;</a></span>FuncDeclCallResType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QualType FunctionDeclProperties::FuncDeclCallResType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a906e1b2adab4cb3ea73f4e14aa3d7257"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a906e1b2adab4cb3ea73f4e14aa3d7257">&#9670;&nbsp;</a></span>FuncDeclDefinition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const FunctionDecl* FunctionDeclProperties::FuncDeclDefinition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba7268fb3f1306ee77953ab0a5aceb2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba7268fb3f1306ee77953ab0a5aceb2e">&#9670;&nbsp;</a></span>FuncDeclgetCanDecl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const FunctionDecl* FunctionDeclProperties::FuncDeclgetCanDecl</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac28fc9987328307801c399336f0d9217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac28fc9987328307801c399336f0d9217">&#9670;&nbsp;</a></span>FuncDeclHasBody</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclHasBody</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f99c4bd6152303c9652addb1956c2e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f99c4bd6152303c9652addb1956c2e5">&#9670;&nbsp;</a></span>FuncDeclhasImplZeroRet</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclhasImplZeroRet</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f1272e791a997de3976a4f73899c6e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f1272e791a997de3976a4f73899c6e8">&#9670;&nbsp;</a></span>FuncDeclhasInheritProto</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclhasInheritProto</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a7d0f9d9feb16d3a811f5fe9794891a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a7d0f9d9feb16d3a811f5fe9794891a">&#9670;&nbsp;</a></span>FuncDeclhasProto</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclhasProto</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a327a2fb435b7ce40ad215404c819c2fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a327a2fb435b7ce40ad215404c819c2fa">&#9670;&nbsp;</a></span>FuncDeclHasTrivialBody</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclHasTrivialBody</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af398a0e2d0c7a79aabce51b87c5892a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af398a0e2d0c7a79aabce51b87c5892a8">&#9670;&nbsp;</a></span>FuncDeclhasWritProto</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclhasWritProto</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc2bb63e2e30e4e5ed4de575bfcdda48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc2bb63e2e30e4e5ed4de575bfcdda48">&#9670;&nbsp;</a></span>FuncDeclIsConstExpr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsConstExpr</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6418362ffa9830cc146d5d3edaed7be7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6418362ffa9830cc146d5d3edaed7be7">&#9670;&nbsp;</a></span>FuncDeclisDeclADef</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclisDeclADef</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a81dea87d19a1ece614968439172721"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a81dea87d19a1ece614968439172721">&#9670;&nbsp;</a></span>FuncDeclIsDefaulted</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsDefaulted</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77fb7ae5085e54c20d10166aabc32881"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77fb7ae5085e54c20d10166aabc32881">&#9670;&nbsp;</a></span>FuncDeclisDefined</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclisDefined</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f625746c906d1105f3a362153f02cab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f625746c906d1105f3a362153f02cab">&#9670;&nbsp;</a></span>FuncDeclIsExplDefaulted</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsExplDefaulted</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a23fba2a246d72d997b7be07362a07f8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23fba2a246d72d997b7be07362a07f8e">&#9670;&nbsp;</a></span>FuncDeclIsGlobal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsGlobal</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a806d72b8d8ef42b9e27bfdb2c6c1b029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a806d72b8d8ef42b9e27bfdb2c6c1b029">&#9670;&nbsp;</a></span>FuncDeclIsInlined</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsInlined</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afaf03c8e1b3783b2bb320398929c8bbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaf03c8e1b3783b2bb320398929c8bbe">&#9670;&nbsp;</a></span>FuncDeclisInlineSpec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclisInlineSpec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d684fc813cdb6fc69037ab4e6da5dfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d684fc813cdb6fc69037ab4e6da5dfd">&#9670;&nbsp;</a></span>FuncDeclIsMain</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsMain</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a327b4b4f80f7e913b0a1a73dc51047d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a327b4b4f80f7e913b0a1a73dc51047d1">&#9670;&nbsp;</a></span>FuncDeclIsNoReturn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsNoReturn</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2698ced3ad1b7c7eab8dbba89fe187ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2698ced3ad1b7c7eab8dbba89fe187ff">&#9670;&nbsp;</a></span>FuncDeclIsPure</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsPure</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f1c0bee2bdd003906292531ef47071e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f1c0bee2bdd003906292531ef47071e">&#9670;&nbsp;</a></span>FuncDeclIsTrivial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclIsTrivial</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a185bc6ecb2ea6977ef773a91617d5c35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a185bc6ecb2ea6977ef773a91617d5c35">&#9670;&nbsp;</a></span>FuncDeclisVariadic</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclisVariadic</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a234ad376753024e5e17c407b493af53a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a234ad376753024e5e17c407b493af53a">&#9670;&nbsp;</a></span>FuncDeclLanguage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LanguageLinkage FunctionDeclProperties::FuncDeclLanguage</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ff9fa577ff805a634d3a029b1910bb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff9fa577ff805a634d3a029b1910bb5">&#9670;&nbsp;</a></span>FuncDeclLiteralID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const IdentifierInfo* FunctionDeclProperties::FuncDeclLiteralID</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0874ea268c477fc80d5a585c64f71bec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0874ea268c477fc80d5a585c64f71bec">&#9670;&nbsp;</a></span>FuncDeclMinReqArgs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned FunctionDeclProperties::FuncDeclMinReqArgs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74b3c697cb85a612178bec45dc23f1ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74b3c697cb85a612178bec45dc23f1ca">&#9670;&nbsp;</a></span>FuncDeclName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string FunctionDeclProperties::FuncDeclName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d314bc84de946aefeaa2461c36327d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d314bc84de946aefeaa2461c36327d1">&#9670;&nbsp;</a></span>FuncDeclNumParam</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned FunctionDeclProperties::FuncDeclNumParam</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f60da83122ee24865dff0f117d219ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f60da83122ee24865dff0f117d219ff">&#9670;&nbsp;</a></span>FuncDeclPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> FunctionDeclProperties::FuncDeclPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5eca3f4a53a07fb3711251ae1027ad2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5eca3f4a53a07fb3711251ae1027ad2">&#9670;&nbsp;</a></span>FuncDeclRetType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QualType FunctionDeclProperties::FuncDeclRetType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c75c72bdadbbbeaf7507291894c10ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c75c72bdadbbbeaf7507291894c10ea">&#9670;&nbsp;</a></span>FuncDeclRetTypSrcRng</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SourceRange FunctionDeclProperties::FuncDeclRetTypSrcRng</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3168554f6873db437bd547d4c4f24016"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3168554f6873db437bd547d4c4f24016">&#9670;&nbsp;</a></span>FuncDeclSrcRng</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SourceRange FunctionDeclProperties::FuncDeclSrcRng</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abec748d175b43b77931b362f4657e62d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abec748d175b43b77931b362f4657e62d">&#9670;&nbsp;</a></span>FuncDeclStoreClass</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">StorageClass FunctionDeclProperties::FuncDeclStoreClass</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad77b729330178bf2e9bd5209715a42ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad77b729330178bf2e9bd5209715a42ba">&#9670;&nbsp;</a></span>FuncDeclThisHasABody</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDeclThisHasABody</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a780b27b3b29b7b8fcfa8ed269fdc2e9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a780b27b3b29b7b8fcfa8ed269fdc2e9c">&#9670;&nbsp;</a></span>FuncDelcIsTrivialForCall</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FunctionDeclProperties::FuncDelcIsTrivialForCall</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_function_decl_properties.html">FunctionDeclProperties</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
